<?php
/**
 * Block Patterns
 *
 * @package beauty_makeup_stylist
 * @since 1.0
 */

function beauty_makeup_stylist_register_block_patterns() {
	$beauty_makeup_stylist_block_pattern_categories = array(
		'beauty-makeup-stylist' => array( 'label' => esc_html__( 'Beauty Makeup Stylist', 'beauty-makeup-stylist' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'beauty-makeup-stylist' ) ),
	);

	$beauty_makeup_stylist_block_pattern_categories = apply_filters( 'beauty_makeup_stylist_beauty_makeup_stylist_block_pattern_categories', $beauty_makeup_stylist_block_pattern_categories );

	foreach ( $beauty_makeup_stylist_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'beauty_makeup_stylist_register_block_patterns', 9 );